package redis

import (
	"go.uber.org/zap"

	"codeberg.org/mapleopentech/monorepo/cloud/maplefile-backend/config"
)

// ProvideRedisCache provides a Redis cache instance for Wire DI
func ProvideRedisCache(cfg *config.Config, logger *zap.Logger) Cacher {
	return NewCache(cfg, logger)
}
